1. Wiedemann94's Avatar
    i have a 2nd gen ipod touch 4.0 i want to jailbreak it but i cant get redsn0w to work please help!!!!!!!!! ive been up tryin for 6 hours !
    2010-07-29 11:08 AM
  2. Xeno Templar's Avatar
    Is it an MC model, if so your in the same position as me: S.O.L., atleast until @Comex releases his next JB or atleast I think it will be for MC models along w/ all other models w/ 4.0 iOS.
    Xeno Templar
    32GB iPT 3rd gen.; JB w/ GP RC 6.1!
    Original XBox; Still working on FW flashing!
    XBox 360 Elite; FW flashed w/ iXtreme!
    2010-07-29 05:17 PM
  3. Wiedemann94's Avatar
    No it is not an MC I just can't get anything to work
    2010-07-29 09:36 PM
  4. Xeno Templar's Avatar
    Hmmm, I'm still pretty new to this iDevice stuff, sorry I can't really be of any assistance, all I know is that I'm S.O.L. on account of the fact that I'm on a 4.0 iOS, MC model so I really have no choice but to wait on @comex
    2010-07-29 09:49 PM
  5. MFDOOM44's Avatar
    off topic but how are the 2gs running on the iOS4? any lag?
    2010-08-01 03:10 AM
  6. MindGem's Avatar
    off topic but how are the 2gs running on the iOS4? any lag?
    Perfect for my brothers.
    2010-08-01 06:17 PM
  7. tangsiahteng's Avatar
    Jailbreak iPod touch 3G / 2G MC Model on iOS 4.0 with JailbreakMe 2.0 Star [How to Video Guide] | Redmond Pie

    hey!! anybody, try tis trustable website....reali work for my ipod touch 8gb MC model (ios 4.0).....now i finally break the jail.....
    2010-08-03 03:34 PM
  8. mavericks77's Avatar
    I updated my Ipod and lost my jailbreak. I went to jailbreakme.com on my Ipod. Use safari and it will Jailbreak. Sucks that I lost everything had to start all over again.
    2010-08-06 02:06 AM
  9. TheScottyTurner's Avatar
    I have a iPod Touch 2nd Gen and i jailbroke mine with jailbreakme.com and I have to say it works just fine I updated it to iOS 4.0. I, myself am new to jailbreaking and i did notice that alot of the apps that i try to download using ********** usually wont download, they usually say unexpected error I'm not sure if that has anything to do with the jailbreak I used, but other than that it seems fine.
    2010-08-19 12:40 AM
  10. Andr3w's Avatar
    For redsn** you need the latest version .95 something like that it's a beta
    2010-08-19 12:43 AM
  11. syst3merror's Avatar
    I'm with some of the others...I recommend going to jailbreakme.com ON the actual device! It worked flawless for me on 4.0 on a MC ipod touch 2g.
    2010-09-18 09:53 PM
  12. i.Annie's Avatar
    Yes, jailbreakme is the quickest an easiest way for iPod Touch
    2010-09-19 12:58 AM
LINK TO POST COPIED TO CLIPBOARD